Bug 1024847 - Yumex Closes On PollicyKit Error
Yumex Closes On PollicyKit Error
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: yumex (Show other bugs)
epel7
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 09:53 EDT by KitchM
Modified: 2015-05-06 08:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-06 08:46:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description KitchM 2013-10-30 09:53:36 EDT
Description of problem:
Yumex closed wnen cancelling on no password entry.

Version-Release number of selected component (if applicable):
3.0.13

How reproducible:
Always

Steps to Reproduce:
1.Open yumex
2.Wait for list of updates
3.Select nothing
4.Select apply
5.Press Enter without password
6.Press Cancel to start over
7.Press Enter on polkit error
8.Program closes

Actual results:
See above

Expected results:
Should allow user to go back to update list.

Additional info:
Comment 1 Tim Lauridsen 2013-10-30 10:14:30 EDT
I will look into this.

1. Yumex should not ask for password if there is no pending action.
2. Yumex should not abort if user press cancel, only on other polkit problems.
Comment 2 Joshua Rosen 2014-06-21 23:43:48 EDT
Yumex doesn't function on a remote machine. When I'm sshed into another machine and I run yumex from root (yumex --root) nothing happens when I try to do an install. If I do it as a user it does nothing I get the error

Could not get polkit autherisation to start backend 

Yum Extender will terminate

I have selinux disabled, why is it complaining about a policy kit error?
Comment 3 Joshua Rosen 2014-06-21 23:44:37 EDT
I'm running Fedora 20 on both the client and server systems
Comment 4 Tim Lauridsen 2014-10-05 09:28:58 EDT
could you please retest with

https://admin.fedoraproject.org/updates/yumex-3.0.16-1.fc20

I have changed so yumex always start the package backend in root mode, so it will ask for the root password only when you start yumex.

in the ssh case you properly should use 'sudo yumex --root' to launch yumex, think it will work in this release.
Comment 5 Joshua Rosen 2014-12-30 17:54:50 EST
Yumex is working fine now on Fedora 20 and 21 but not on RHEL7 clones. It's the same bug that was fixed for Fedora, please push the change to EPEL7
Comment 6 Tim Lauridsen 2015-04-13 12:40:07 EDT
pushed a new version for epel7

https://admin.fedoraproject.org/updates/yumex-3.0.16-2.el7

same release as F20 & F21

Note You need to log in before you can comment on or make changes to this bug.